MooseX::Storage::Base::WithChecksum(3)

NAME
MooseX::Storage::Base::WithChecksum - A more secure serialization role

DESCRIPTION
This is an early implementation of a more secure Storage role, which does integrity checks on the data. It is still being developed so I recommend using it with caution.

Any thoughts, ideas or suggestions on improving our technique are very welcome.

METHODS

pack (?$salt)
unpack ($data, ?$salt)

  Introspection

meta

BUGS
All complex software has bugs lurking in it, and this module is no exception. If you find a bug please either email me, or add the bug to cpan-RT.

AUTHOR
Stevan Little <stevan.little@iinteractive.com>

Yuval Kogman

COPYRIGHT AND LICENSE
Copyright 2007-2008 by Infinity Interactive, Inc.

<http://www.iinteractive.com>

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself.